#include <algorithm>
#include <iostream>
#include <vector>
#include <cmath>
#define endl '\n'
using namespace std;

long long k;
char a[3000][3000];

long long calc(int h, int w)
{
    return 1ll * h * (h - 1) * w * (w - 1) / 4;
}

void solve(int x0, int y0, int x1, int y1)
{
    if (x0 > x1 or y0 > y1) return;
    if (k == 0) return;

    int hmax = x1 - x0 + 1;
    int wmax = y1 - y0 + 1;

    long long t = 0;
    int h0 = 0, w0 = 0;
    for (int h = 1; h <= hmax; ++ h)
    {
        for (int w = 1; w <= wmax; ++ w)
        {
            long long curr = calc(h, w);
            if (curr <= k and curr > t and k <= max(calc(h, w) + calc(hmax, wmax - w - 1) + calc(hmax - h - 1, wmax - w - 1),
                                                    calc(h, w) + calc(hmax - h - 1, wmax) + calc(hmax - h - 1, wmax - w - 1)))
            {
                t = curr;
                h0 = h;
                w0 = w;
            }
        }
    }

    for (int i = x0; i < x0 + h0; ++ i)
    {
        for (int j = y0; j < y0 + w0; ++ j)
        {
            a[i][j] = '#';
        }
    }
    k -= t;

    solve(x0, y0 + w0 + 1, x1, y1);
    solve(x0 + h0 + 1, y0, x1, y0 + w0 - 1);
}

int main()
{
    cin >> k;

    for (int i = 1; i <= 2025; ++ i)
    {
        for (int j = 1; j <= 2025; ++ j)
        {
            a[i][j] = '.';
        }
    }

    solve(1, 1, 2025, 2025);

    if (k != 0)
    {
        cout << -1 << endl;
        return 0;
    }

    cout << "2025 2025" << endl;
    for (int i = 1; i <= 2025; ++ i)
    {
        for (int j = 1; j <= 2025; ++ j)
        {
            cout << a[i][j];
        }
        cout << endl;
    }

    return 0;
}